/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-22 15:30:57.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.impl;

import cn.com.qmth.examcloud.core.print.repository.ObjectiveQuestionStructureRepository;
import cn.com.qmth.examcloud.core.print.repository.SubjectiveQuestionStructureRepository;
import cn.com.qmth.examcloud.core.print.service.CommonService;
import cn.com.qmth.examcloud.core.print.service.QuestionStructureService;
import cn.com.qmth.examcloud.core.print.service.bean.questionstructure.PaperQuestionStructureInfo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.validation.constraints.NotNull;

/**
 * @author: fengdesheng
 * @since: 2018/10/17
 */
@Service
public class QuestionStructureServiceImpl implements QuestionStructureService {
    private static final Logger log = LoggerFactory.getLogger(QuestionStructureServiceImpl.class);
    @Autowired
    private SubjectiveQuestionStructureRepository subjectiveQuestionStructureRepository;
    @Autowired
    private ObjectiveQuestionStructureRepository objectiveQuestionStructureRepository;
    @Autowired
    private CommonService commonService;

    @Override
    public void savePaperQuestionStructure(@NotNull Long examId, @NotNull String paperId) {
        PaperQuestionStructureInfo info = commonService.findStructureByPaperId(paperId);
        //todo
    }

}